/*
 * Copyright notice from original mutt:
 * Copyright (C) 2000-5 Brendan Cully <brendan@kublai.com>
 *
 * This file is part of mutt-ng, see http://www.muttng.org/.
 * It's licensed under the GNU General Public License,
 * please see the file GPL in the top level source directory.
 */

/* remote host account manipulation (POP/IMAP) */

#ifndef _MUTT_ACCOUNT_H_
#define _MUTT_ACCOUNT_H_ 1

#include <lib-lib/lib-lib.h>

enum {
    M_ACCT_TYPE_NONE = 0,
    M_ACCT_TYPE_IMAP,
    M_ACCT_TYPE_NNTP,
    M_ACCT_TYPE_POP
};

typedef struct {
    union {
        struct {
            unsigned has_port  : 1;
            unsigned has_user  : 1;
            unsigned has_login : 1;
            unsigned has_pass  : 1;
            unsigned has_ssl   : 1;
        };
        char flags;
    };

    char type;
    int  port;

    char user[64];
    char login[64];
    char pass[64];
    char host[128];
} ACCOUNT;

int mutt_account_match (const ACCOUNT * a1, const ACCOUNT * m2);
int mutt_account_fromurl (ACCOUNT * account, ciss_url_t * url);
void mutt_account_tourl (ACCOUNT * account, ciss_url_t * url);
int mutt_account_getuser (ACCOUNT * account);
int mutt_account_getlogin (ACCOUNT * account);
int mutt_account_getpass (ACCOUNT * account);

#endif /* _MUTT_ACCOUNT_H_ */
